Subject: Re: [PATCH v2 2/2] commit: add support for --fixup <commit> -m"<extra message>"

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sat, 23 Dec 2017 13:49:51 +0100

On Fri, Dec 22 2017, Junio C. Hamano jotted:

> Ævar Arnfjörð Bjarmason <[email-masked]> writes:
>
>> I don't agree that git as a tool should be so opinionated. You can edit
>> these --fixup messages right now with --edit, and I do. That it doesn't
>> work with -m"" as it should is a longstanding UI wart.
>
> I think you missed the point.

I did, yes. Sorry, I was being a bit touchy and argumentative there.

> I was expressing my opinion, not an opinion of Git as a tool, that I
> think one of these two "use case" scenario was a bad way not to be
> encouraged.
>
> That is totally different from allowing --fixup and -m working
> together.  That is a good thing that helps the other "good" use case.